---
title: pydo.genai.update_workspace()
description: Update a Workspace
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/genai/update_workspace/
last_updated: "2026-08-03"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.genai.update_workspace()

Generated on 3 Aug 2026 from `pydo` version [`v0.40.0`](https://github.com/digitalocean/pydo/releases/tag/v0.40.0v0.40.0)

## Usage

```python
client.genai.update_workspace(
    workspace_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
    body={
        "description": "example string",
        "name": "example name",
        "workspace_uuid": "123e4567-e89b-12d3-a456-426614174000",
    },
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To update a workspace, send a PUT request to [`/v2/gen-ai/workspaces/{workspace_uuid}`](https://docs.digitalocean.com/reference/api/reference/gradientai-platform/index.html.md#genai_update_workspace). The response body is a JSON object containing the workspace.

## Parameters

`workspace_uuid` string required

Workspace UUID.

`description` string optional

Example: `example string`

The new description of the workspace

`name` string optional

Example: `example name`

The new name of the workspace

`workspace_uuid` string optional

Example: `123e4567-e89b-12d3-a456-426614174000`

Workspace UUID.

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "description": "example string",
  "name": "example name",
  "workspace_uuid": "123e4567-e89b-12d3-a456-426614174000"
}

resp = client.genai.update_workspace(workspace_uuid="\"123e4567-e89b-12d3-a456-426614174000\"", body=req)
```

## Response Example

## Show Response Example

```json
{
  "workspace": {
    "agents": [],
    "created_at": "2023-01-01T00:00:00Z",
    "created_by": "12345",
    "created_by_email": "example@example.com",
    "deleted_at": "2023-01-01T00:00:00Z",
    "description": "example string",
    "evaluation_test_cases": [],
    "name": "example name",
    "updated_at": "2023-01-01T00:00:00Z",
    "uuid": "123e4567-e89b-12d3-a456-426614174000"
  }
}
```

## More Information

See [`/v2/gen-ai/workspaces/{workspace_uuid}`](https://docs.digitalocean.com/reference/api/reference/gradientai-platform/index.html.md#genai_update_workspace) in the API reference for additional detail on responses, headers, parameters, and more.